# MainHomeAssignedListViewHolder
Date: 2018-07-30

kr.co.hanwha.hifive.adapter.viewholder

## Class MainHomeAssignedListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.MainHomeAssignedListViewHolder

    public class MainHomeAssignedListViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 24..

### Field Summary

Fields
`private HFEvaluationStarListView` `mEvaluationStarListView`
`private android.widget.ImageButton` `mImageButtonCheckToday`
`private android.widget.LinearLayout` `mLayoutAction`
`private android.widget.LinearLayout` `mLayoutAuthor`
`private android.widget.LinearLayout` `mLayoutContainer`
`private MainHomeContract.OnMainHomeListListener` `mOnMainHomeListListener`
`private android.widget.TextView` `mTextViewAccept`
`private android.widget.TextView` `mTextViewAuthorName`
`private android.widget.TextView` `mTextViewDueDate`
`private android.widget.TextView` `mTextViewLog`
`private android.widget.TextView` `mTextViewMyTask`
`private android.widget.TextView` `mTextViewReject`
`private android.widget.TextView` `mTextViewTitle`
`private android.view.View` `mViewTitleMargin`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`MainHomeAssignedListViewHolder(android.view.ViewGroup viewGroup, MainHomeContract.OnMainHomeListListener onMainHomeListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLayoutContainer

    private android.widget.LinearLayout mLayoutContainer

#### mLayoutAuthor

    private android.widget.LinearLayout mLayoutAuthor

#### mTextViewMyTask

    private android.widget.TextView mTextViewMyTask

#### mTextViewAuthorName

    private android.widget.TextView mTextViewAuthorName

#### mImageButtonCheckToday

    private android.widget.ImageButton mImageButtonCheckToday

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mViewTitleMargin

    private android.view.View mViewTitleMargin

#### mTextViewDueDate

    private android.widget.TextView mTextViewDueDate

#### mLayoutAction

    private android.widget.LinearLayout mLayoutAction

#### mTextViewReject

    private android.widget.TextView mTextViewReject

#### mTextViewAccept

    private android.widget.TextView mTextViewAccept

#### mEvaluationStarListView

    private HFEvaluationStarListView mEvaluationStarListView

#### mTextViewLog

    private android.widget.TextView mTextViewLog

#### mOnMainHomeListListener

    private MainHomeContract.OnMainHomeListListener mOnMainHomeListListener

### Constructor Detail

#### MainHomeAssignedListViewHolder

    public MainHomeAssignedListViewHolder(@NonNull
                                          android.view.ViewGroup viewGroup,
                                          MainHomeContract.OnMainHomeListListener onMainHomeListListener)

### Method Detail

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`